ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_ACCESS_POINT_ADD =
   EFL_EVENT_DESCRIPTION("access_point,add");
ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_ACCESS_POINT_DEL =
   EFL_EVENT_DESCRIPTION("access_point,del");
ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_ACCESS_POINTS_CHANGED =
   EFL_EVENT_DESCRIPTION("access_points,changed");
ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_TECHNOLOGY_ADD =
   EFL_EVENT_DESCRIPTION("technology,add");
ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_TECHNOLOGY_DEL =
   EFL_EVENT_DESCRIPTION("technology,del");
ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_RADIOS_OFFLINE_CHANGED =
   EFL_EVENT_DESCRIPTION("radios_offline,changed");
ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_STATE_CHANGED =
   EFL_EVENT_DESCRIPTION("state,changed");
ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_AGENT_RELEASED =
   EFL_EVENT_DESCRIPTION("agent_released");
ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_AGENT_ERROR =
   EFL_EVENT_DESCRIPTION("agent_error");
ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_AGENT_BROWSER_URL =
   EFL_EVENT_DESCRIPTION("agent_browser_url");
ECORE_CON_API ECORE_CON_API_WEAK const Efl_Event_Description _EFL_NET_CONTROL_MANAGER_EVENT_AGENT_REQUEST_INPUT =
   EFL_EVENT_DESCRIPTION("agent_request_input");

void _efl_net_control_manager_radios_offline_set(Eo *obj, Efl_Net_Control_Manager_Data *pd, Eina_Bool radios_offline);


static Eina_Error
__eolian_efl_net_control_manager_radios_offline_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_net_control_manager_radios_offline_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_control_manager_radios_offline_set, EFL_FUNC_CALL(radios_offline), Eina_Bool radios_offline);

Eina_Bool _efl_net_control_manager_radios_offline_get(const Eo *obj, Efl_Net_Control_Manager_Data *pd);


static Eina_Value
__eolian_efl_net_control_manager_radios_offline_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_control_manager_radios_offline_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_manager_radios_offline_get, Eina_Bool, 0);

Efl_Net_Control_State _efl_net_control_manager_state_get(const Eo *obj, Efl_Net_Control_Manager_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_manager_state_get, Efl_Net_Control_State, 0);

Eina_Iterator *_efl_net_control_manager_access_points_get(const Eo *obj, Efl_Net_Control_Manager_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_manager_access_points_get, Eina_Iterator *, NULL);

Eina_Iterator *_efl_net_control_manager_technologies_get(const Eo *obj, Efl_Net_Control_Manager_Data *pd);

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_manager_technologies_get, Eina_Iterator *, NULL);

void _efl_net_control_manager_agent_enabled_set(Eo *obj, Efl_Net_Control_Manager_Data *pd, Eina_Bool agent_enabled);


static Eina_Error
__eolian_efl_net_control_manager_agent_enabled_set_reflect(Eo *obj, Eina_Value val)
{
   Eina_Error r = 0;   Eina_Bool cval;
   if (!eina_value_bool_convert(&val, &cval))
      {
         r = EINA_ERROR_VALUE_FAILED;
         goto end;
      }
   efl_net_control_manager_agent_enabled_set(obj, cval);
 end:
   eina_value_flush(&val);
   return r;
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_control_manager_agent_enabled_set, EFL_FUNC_CALL(agent_enabled), Eina_Bool agent_enabled);

Eina_Bool _efl_net_control_manager_agent_enabled_get(const Eo *obj, Efl_Net_Control_Manager_Data *pd);


static Eina_Value
__eolian_efl_net_control_manager_agent_enabled_get_reflect(const Eo *obj)
{
   Eina_Bool val = efl_net_control_manager_agent_enabled_get(obj);
   return eina_value_bool_init(val);
}

ECORE_CON_API ECORE_CON_API_WEAK EFL_FUNC_BODY_CONST(efl_net_control_manager_agent_enabled_get, Eina_Bool, 0);

void _efl_net_control_manager_agent_reply(Eo *obj, Efl_Net_Control_Manager_Data *pd, const char *name, const Eina_Slice *ssid, const char *username, const char *passphrase, const char *wps);

ECORE_CON_API ECORE_CON_API_WEAK EFL_VOID_FUNC_BODYV(efl_net_control_manager_agent_reply, EFL_FUNC_CALL(name, ssid, username, passphrase, wps), const char *name, const Eina_Slice *ssid, const char *username, const char *passphrase, const char *wps);

void _efl_net_control_manager_efl_object_destructor(Eo *obj, Efl_Net_Control_Manager_Data *pd);


Efl_Object *_efl_net_control_manager_efl_object_constructor(Eo *obj, Efl_Net_Control_Manager_Data *pd);


Efl_Object *_efl_net_control_manager_efl_object_finalize(Eo *obj, Efl_Net_Control_Manager_Data *pd);


static Eina_Bool
_efl_net_control_manager_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_NET_CONTROL_MANAGER_EXTRA_OPS
#define EFL_NET_CONTROL_MANAGER_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_net_control_manager_radios_offline_set, _efl_net_control_manager_radios_offline_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_manager_radios_offline_get, _efl_net_control_manager_radios_offline_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_manager_state_get, _efl_net_control_manager_state_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_manager_access_points_get, _efl_net_control_manager_access_points_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_manager_technologies_get, _efl_net_control_manager_technologies_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_manager_agent_enabled_set, _efl_net_control_manager_agent_enabled_set),
      EFL_OBJECT_OP_FUNC(efl_net_control_manager_agent_enabled_get, _efl_net_control_manager_agent_enabled_get),
      EFL_OBJECT_OP_FUNC(efl_net_control_manager_agent_reply, _efl_net_control_manager_agent_reply),
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_net_control_manager_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_constructor, _efl_net_control_manager_efl_object_constructor),
      EFL_OBJECT_OP_FUNC(efl_finalize, _efl_net_control_manager_efl_object_finalize),
      EFL_NET_CONTROL_MANAGER_EXTRA_OPS
   );
   opsp = &ops;

   static const Efl_Object_Property_Reflection refl_table[] = {
      {"radios_offline", __eolian_efl_net_control_manager_radios_offline_set_reflect, __eolian_efl_net_control_manager_radios_offline_get_reflect},
      {"agent_enabled", __eolian_efl_net_control_manager_agent_enabled_set_reflect, __eolian_efl_net_control_manager_agent_enabled_get_reflect},
   };
   static const Efl_Object_Property_Reflection_Ops rops = {
      refl_table, EINA_C_ARRAY_LENGTH(refl_table)
   };
   ropsp = &rops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_net_control_manager_class_desc = {
   EO_VERSION,
   "Efl.Net.Control.Manager",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Efl_Net_Control_Manager_Data),
   _efl_net_control_manager_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_net_control_manager_class_get, &_efl_net_control_manager_class_desc, EFL_LOOP_CONSUMER_CLASS, NULL);
